from features.moving_average import moving_average
from korpus import create_bewegung
import plot.plotter as plotter


def test_plotter_sensoren():
    sensor_gruppe = create_bewegung('gehen').messungen[0]
    acc_sensors = sensor_gruppe.sensoren[0:3]

    plotter.plot_sensors(acc_sensors)


def test_plotter_testdaten():
    sensor_gruppe = create_bewegung('plotten-test', range(3)).messungen[0]
    sensors = sensor_gruppe.sensoren

    plotter.plot_sensors(sensors)


def test_plotter_testdaten_scatter():
    sensor_gruppe = create_bewegung('plotten-test', range(3)).messungen[0]

    average_1 = moving_average(15, sensor_gruppe.sensoren[0].werte)
    average_2 = moving_average(15, sensor_gruppe.sensoren[1].werte)

    plotter.plot_scatters([
        {'values': average_1, 'name': 'Moving Average (f1)'},
        {'values': average_2, 'name': 'Moving Average (f2)'}
    ])


if __name__ == '__main__':
    test_plotter_testdaten_scatter()
